﻿
/*------------body-----------*/
body {
    background-color: #fff;
    font-size: 0.9rem;
    font-weight: 300;
    font-family: Inter, sans-serif;
    color: #4F4F4F;
    padding: 0px;
}

/*------------progress-----------*/
.progress-bar {
    background-color: var(--primary-color);
}

.nav-link {
    font-size: 0.76rem;
}

.form-label {
    font-size: 0.76rem;
    margin-bottom: 0px;
}

.form-select {
    /*font-size: 0.76rem;*/
}



.btn.btn-danger-light {
    background-color: var(--primary-color);
    color: white;
}

.btn-secondary {
    background-color: var(--primary-color) !important;
    color: white;
}

.btn {
    font-size: 0.76rem;
}


.badge {
    font-size: 86%;
    font-weight: normal;
}



.form-check-label {
    font-size: 0.7rem !important;
}

.bg-secondary {
    background-color: var(--primary-color) !important;
}

.bg-light {
    background-color: #e6e6e6 !important;
}

.section-light {
    background-image: url(/images/landing-color2.png);
    background-repeat: no-repeat;
    background-size: cover;
    padding: 50px 0 0 0;
    overflow: hidden;
    background-position: center;
}

.ecommerce-more-link {
    padding-inline-start: unset;
    background-color: unset;
}

/*------------quill-----------*/
.ql-container {
    /*min-height: 100px !important;*/
    /*max-height: 100% !important;*/
    overflow: hidden;
    overflow-y: scroll;
    /*overflow-x: scroll;*/
}

.ql-editor {
    /*min-height: 100px !important;*/
    /*max-height: 440px !important;*/
    /*max-height: 100% !important;*/
    min-height: 100% !important;
    overflow: hidden;
    overflow-y: scroll;
    overflow-x: scroll;
    padding:unset;
}

.ql-bubble .ql-editor h1 {
    font-size: 1.5em;
}

.ql-bubble .ql-editor h2 {
    font-size: 1.1em;
}

.ql-snow .ql-editor h1 {
    font-size: 1.5em;
}

.ql-snow .ql-editor h2 {
    font-size: 1.1em;
}

.ql-bubble {
    border: unset !important;
}

.h2, h2 {
    /*font-size: 0.8rem;*/
}

p, li {
    /*font-size: 0.76rem;*/
    font-size: 13px;
}

.bullet {
    border-radius: 50%;
    background-color: rgb( 0, 0, 0 );
    opacity: 0.729;
    width: 7px;
    height: 7px;
}

.resize-handle {
    position: absolute;
    bottom: 0;
    right: 0;
    width: 10px;
    height: 10px;
    background-color: red;
    cursor: se-resize;
}

.ql-bubble .ql-editor h4 {
    margin-bottom: 4px;
    margin-top: 10px;
}

.ql-editor p, .ql-editor ol, .ql-editor ul, .ql-editor pre, .ql-editor blockquote, .ql-editor h1, .ql-editor h2, .ql-editor h3, .ql-editor h4, .ql-editor h5, .ql-editor h6 {
    margin-bottom: 8px !important;
    color: #161616;
    /*margin-top: 1rem;*/
    line-height: 160%;
}

.ql-editor li[data-list=unchecked] > .ql-ui:before {
    content: '\25CB';
}

li[data-list="unchecked"] {
    margin-left: 24px;
}

input[type="checkbox"] {
    /*margin-left: 14px;*/
    /*margin-right: 6px;*/
}

.ql-editor .ql-video {
    width: 80%;
    margin-left: auto;
    margin-right: auto;
    height: 308px;
}

.ql-snow .ql-editor img {
    max-width: 100%;
    width: 80%;
    margin-left: auto;
    margin-right: auto;
}

/*------------Bootstrap 5-----------*/
.list-group-item {
    /*cursor: pointer;
    border-left: 6px solid lightgrey;
    margin-top: 0.69rem !important;
    border-top: unset;
    border-bottom: unset;*/
}

.list-group {
    /*background-color: white;*/
}



/*---pagination--*/

.pagination {
    margin: -.25rem;
    font-size: 1rem;
}

.pagination, ul.pagination-list {
    text-align: center;
    justify-content: center;
    align-items: center;
    margin: 0;
    display: flex;
}

    .pagination.is-wide {
        justify-content: space-between;
    }

.pagination-previous, .pagination-next {
    white-space: nowrap;
    padding-inline: .75em;
    font-weight: 600;
}

.pagination, ul.pagination-list {
    text-align: center;
    justify-content: center;
    align-items: center;
    margin: 0;
    display: flex;
}

    .pagination > li, ul.pagination-list > li {
        margin: .25rem;
        list-style: none !important;
    }

.dropdown {
    position: relative;
}




.width-300 {
    width: 300px !important;
}

@media screen and (min-width: 1088px) {
    .width-450-desktop {
        width: 450px !important;
    }
}

.dropdown-menu {
    width: auto;
    white-space: nowrap;
    z-index: 1000;
    /*background-color: var(--theme-body-background);*/
    border: 1px solid var(--theme-border);
    box-shadow: 0 6.4px 14.4px 0 var(--theme-box-shadow-medium), 0 1.2px 3.6px 0 var(--theme-box-shadow-light);
    position: absolute;
    top: 100%;
}

.has-centered-menu .dropdown-menu {
    max-width: 90vw;
    white-space: normal;
    left: 50%;
    transform: translate(-50%);
}

.dropdown.has-caret .dropdown-menu {
    margin-top: 12px;
}

.nav-box {
    background-color: var(--theme-body-background);
    flex-direction: column;
    margin: 0;
    padding: 0;
    display: flex;
}

    .nav-box .nav-box-title {
        margin: 0;
        padding: 1rem 1.25rem .5rem;
    }

    .nav-box .nav-box-line {
        width: 100%;
        border-left: 3px solid var(--theme-border);
        padding: 0;
        display: inline-block;
    }

        .nav-box .nav-box-line .line-item {
            width: 100%;
            text-align: left;
            padding: .5rem 1.25rem;
        }

        .nav-box .nav-box-line .is-spaced {
            justify-content: space-between;
            display: flex;
        }

.docon {
    font-family: docons;
    font-size: inherit;
    speak: none;
    font-variant: normal;
    text-transform: none;
    text-align: center;
    direction: ltr;
    -webkit-font-smoothing: antialiased;
    -moz-osx-font-smoothing: grayscale;
    font-style: normal;
    font-weight: 400;
    line-height: 16px;
    display: inline-block;
}

.has-text-success {
    color: var(--theme-success-base) !important;
}

/*---breadcrumb---*/

.breadcrumb {
    padding: unset;
    background-color: unset;
}

.breadcrumb .breadcrumb-item.active {
    font-size: 0.784rem;
}

.breadcrumb .breadcrumb-item {
    font-size: 0.784rem;
}

.breadcrumb .breadcrumb-item a {
    color: unset !important;
}

.page-header-breadcrumb .breadcrumb-item + .breadcrumb-item::before {
    content: var(--bs-breadcrumb-divider, "/");
}


/*--styles--*/
.avatar.avatar-xl {
    width: 2rem;
    height: 2rem;
}

/*----buttons---*/
.btn-secondary {
    background-color: var(--primary-color) !important;
    color: white;
}

    .btn-secondary:hover {
        background-color: var(--primary07) !important;
    }

.btn {
    font-size: 0.75rem;
}

.btn-loader i {
    background-color: transparent;
    top: 0px;
}

.btn-sm {
    /*padding: 5px 8px !important;
    font-size: 11px !important;*/
}

.btn-list btn-group {
    margin: 0 0.375rem 0.375rem 0;
}

/*------navbar-------*/
.nav-tabs .nav-item.show .nav-link, .nav-tabs .nav-link.active {
    /*background-color: #00bac7;*/
    background-color: var(--primary-rgb);
    color: #ffffff;
}

.nav-link.active {
    /*background-color: var(--primary-rgb);*/
    /*color: white;*/
}

.nav-tabs .nav-link {
    /*color: #ced4da;*/
}

/*------card-------*/
.card.custom-card {
    /*box-shadow: unset !important;
    margin-block-end: unset;*/
}

.card.custom-card .card-header .card-title {
    text-transform: unset;
}


/*------landing-------*/
.bg-land-blog {
    background-color: white;
}

.icone-land {
    margin-right: 8px;
}

.nav-land {
    margin: auto;
    color: var(--default-text-color);
    font-size: medium;
    display: flex;
    align-items: center;
}

.landing-banner-blog-ct {
    /*background-color: #fff;
    position: relative;
    width: 100%;
    padding: 24.5px;
    bottom: 1.5rem;
    border-radius: 1.875rem;
    border: .0625rem solid rgba(152, 191, 255, .1);
    box-shadow: 0 .25rem .375rem -.0625rem rgba(37, 65, 252, .2), 0 .125rem .25rem -.125rem rgba(37, 65, 252, .2);
    margin-top: 30px;*/
}

#aboutus-ct-id {
    background-repeat: no-repeat;
    background-size: cover;
    padding: 50px 0 0 0;
    overflow: hidden;
    background-position: center;
    height: 418px;
    margin-top: 70px;
}

.about-container {
    border-radius: unset;
    padding: unset;
}

.aboutus-banner:before {
    border-radius: unset;
}

.landing-body .app-sidebar {
    /* background-color: white; */
    background-color: var(--custom-white);
    box-shadow: 0 0.25rem 1rem var(--black-1);
}

.landing-body .app-sidebar {
    inset-block-start: 0;
    padding: 0.5rem 0;
    height: auto !important;
    background-color: white !important;
    box-shadow: none;
    border-inline-end: 0;
    box-shadow: 0 0.25rem 1rem var(--black-1) !important;
}

[data-nav-style=menu-click][data-nav-layout=horizontal] .landing-body .app-sidebar .side-menu__label {
    color: black;
}


.header-logo img {
    /*height: 3rem !important;*/
}

.horizontal-logo {
    /*padding: 0 !important;*/
}

#footer-ct-id {
    background-image: url(/images/footer-digi.png);
    background-repeat: no-repeat;
    background-size: cover;
    padding: 50px 0 0 0;
    overflow: hidden;
    background-position: center;
}

.footer-bottom-bar {
    padding: 10px 0;
}

.footer-bottom-bar {
    display: block;
    float: left;
    width: 100%;
    background: #0FB4BF;
    height: 40px;
}

.footer-menu {
    display: block;
    float: right;
}

.copyright-text {
    font-size: 16px;
    color: #fff;
    font-weight: normal;
}

.footer-menu ul li {
    display: inline-block;
    font-size: 16px;
    line-height: 16px;
    margin: 0 15px;
}

/*topbar*/
.side-menu__item {
    /*color: #2e343a;*/
    /*font-weight: 600;*/
    font-size: 14px;
    cursor: pointer;
}

@media (min-width: 992px) {
    .landing-body .main-content {
        /*padding-block-start: 70px;*/
    }
}

/**/
.landing-body .section {
    padding: 0;
}

.tab-style-2 .nav-item .nav-link.active:before {
    width: 50%;
    height: 0.12rem;
    margin: auto
}

.card-land {
    min-height: 243px;
    max-width: 270px;
    --tw-shadow: 0 0 15px -3px rgba(0, 0, 0, .5), 0 0 6px -2px rgba(0, 0, 0, .05);
    box-shadow: var(--tw-ring-offset-shadow, 0 0 #0000), var(--tw-ring-shadow, 0 0 #0000), var(--tw-shadow) !important;
    border-radius: 30px !important;
}

.land-box-ct {
    border: 1px solid rgba(0, 0, 0, .1);
    position: relative;
    padding: 40px;
    border-radius: 24px;
    max-width: 624px;
}

.land-box-tl {
    margin-bottom: 24px;
    font-size: 1.125rem;
}

.land-box-div {
    gap: 15px;
}

.land-box-txt {
    text-align: left;
    margin-left: 6px;
}

.h6, h6 {
    font-size: 0.9rem;
}

.card-app-land {
    padding: 20px;
    box-shadow: none !important;
}

.card-app-tl-land {
    margin: auto;
    font-weight: 600;
}

.carousel-control-prev {
    background-color: transparent;
    border: none;
}

.carousel-control-next {
    background-color: transparent;
    border: none;
}

#footer-data-analytics-id {
    position: relative;
    display: flex;
    gap: 8px;
    flex-direction: column;
    overflow: hidden !important;
    background: url(/images/footer-data-analytics.jpg) no-repeat center bottom, #1e171e;
    color: #8e929b;
    /*border-radius: 34px;*/
    border-bottom-left-radius: 0;
    border-bottom-right-radius: 0;
}


@keyframes moveUpDown {
    0% {
        transform: translateY(0);
    }

    50% {
        transform: translateY(-20px); /* Move up */
    }

    100% {
        transform: translateY(0); /* Move back to original position */
    }
}

.landing-main-image img {
    animation: moveUpDown 3s ease-in-out infinite; /* Apply the animation */
}





.elementor-1392 .elementor-element.elementor-element-6bc05bd > .elementor-shape-bottom, .elementor-1392 .elementor-element.elementor-element-6bc05bd > .e-con-inner > .elementor-shape-bottom {
    z-index: 2;
    pointer-events: none;
}

.elementor-shape[data-negative=false].elementor-shape-bottom, .elementor-shape[data-negative=true].elementor-shape-top {
    transform: rotate(180deg);
}

.elementor-shape-bottom {
    bottom: -1px;
}

.elementor-shape {
    overflow: hidden;
    position: absolute;
    left: 0;
    width: 100%;
    line-height: 0;
    direction: ltr;
}

.elementor-shape-bottom svg {
    width: calc(150% + 1.3px);
    height: 115px;
    /*transform: translateX(-50%) rotateY(180deg);*/
}

.elementor-shape .elementor-shape-fill {
    fill: #fff;
    transform-origin: center;
    transform: rotateY(0deg);
}

.landing-section-heading {
    color: var(--primary-color);
}

.landing-service-tl {
    color: #162082;
    font-family: "Montserrat", Sans-serif;
    font-size: 22px;
    font-weight: 800;
    line-height: 1em;
}

.landing-service {
    padding: 2em 2em 2em 2em;
    box-shadow: 0px 10px 30px 0px rgba(0, 0, 0, 0.1);
    border-style: solid;
    border-width: 0px 0px 0px 0px;
    border-color: #f5f5f5;
    border-radius: 20px 20px 20px 20px !important;
}

.landing-skill {
    padding: 30px;
    background-color: white;
    box-shadow: 0px 4px 25px 0px rgba(0, 0, 0, 0.06);
    border-radius: 8px;
    margin: -50px 20px 0;
    position: relative;
    z-index: 9;
    /*height: 261px;*/
    min-height: 261px;
}

.landing-body .landing-main-image:after {
    border: none;
}

.footer-li-subtl {
    font-size: 12px;
}

.content {
    display: flex;
    justify-content: center;
    align-items: center;
    height: 100%;
}

.animated-bt {
    opacity: 0; /* Initially hidden */
    transform: translateY(50px); /* Start below the final position */
    transition: opacity 0.1s, transform 0.1s; /* Smooth transition */
    margin-top: 28px;
}

    .animated-bt.visible {
        opacity: 1;
        transform: translateY(0); /* Move to final position */
    }

.landing-solution {
    background: #fff;
    padding: 30px 30px;
    border: 2px solid #fbfbfb;
    text-align: center;
    height: 268px;
}

.solution-icon {
    border-radius: 20px;
    background: black;
}

.module-duration {
    font-size: 12px;
    margin-left: 21px;
    margin-bottom: 8px;
    margin-top: -14px;
    color: grey;
}

@media (max-width: 480px) {
    .landing-body .landing-banner .section {
        padding: 0;
    }
}

@media (max-width: 991.98px) {
    .main-content {
        padding-block-start: 6px;
    }
}

@media (max-width: 991.98px) {
    .elementor-shape-bottom svg {
        width: calc(843% + 32.3px);
        height: 97px;
        transform: translateX(-85%) rotateY(180deg);
    }
}


/*datatable*/
.dt-txt-cl {
    font-size: 12px !important;
    padding: 6px !important;
}

div.dataTables_wrapper div.dataTables_filter input {
    max-width: 100px;
}

/*-------------------------Modal--------------------*/

.modal-header {
    padding: 1rem 1.25rem;
    border-block-end: 1px solid var(--default-border);
    border-top-left-radius: .5rem;
    border-top-right-radius: .5rem;
}


/*-------------------------Inputs--------------------*/
.input-group {
    /*margin-top: 10px;*/
}


img {
    max-width: 100%;
}

.el-lab-cl {
    padding-top: 8px;
    padding-bottom: 0px;
    font-weight: bold;
    /*color: #001e00;*/
    font-size: 11px;
    padding-left: 2px;
    padding-right: 2px;
    /*margin: auto;*/
}

/*------------others--------------------*/
.dropdown-toggle::after {
    content: unset;
}

.dropdown-item {
    cursor: pointer;
}

@media (min-width: 992px) {
    .container, .container-lg, .container-md, .container-sm {
        margin-top: 88px;
    }
}

/*----attempts---*/
.column {
    flex: 1 1 0;
    display: block;
}

.score-meter {
    padding: 6px 0;
    position: relative;
}

/*----custom---*/
p {
    text-align: justify;
}

@media (max-width: 991px) {
    td {
        font-size: 11px !important;
    }

    th {
        font-size: 11px !important;
    }

    p {
        font-size: 12px;
    }

    li {
        font-size: 12px;
    }

    h5 {
        font-size: .9rem;
    }

    span {
        font-size: 12px;
    }
}

.btn-loader {
    display: unset;
}

/*------------off-canevas-----------*/
.cert-canvas {
    position: fixed;
    top: 0;
    right: -250px;
    width: 250px;
    height: 668px;
    background-color: #f8f9fa;
    transition: right 0.3s ease-in-out;
}

.offcanvas {
    position: fixed;
    top: 0;
    right: -250px; /* Hidden offcanvas on the right */
    width: 250px;
    height: 100%;
    background-color: #f8f9fa;
    transition: right 0.3s ease-in-out;
}

.cert-canvas.open {
    right: 0;
    margin-top: 60px;
    width: 500px;
    overflow: scroll;
}

.offcanvas.open {
    right: 0; /* Show offcanvas */
    margin-top: 60px;
    width: 600px;
}

.offcanvas-header {
    /*padding: 15px;
    background-color: var(--primary-color);
    color: white;*/
}

.offcanvas-body {
    padding: 15px;
    font-size: 12px;
}

.offcanvas-title {
    font-weight: normal;
}


/*------------------------datatables-----------------------*/
.dt-trp-chat-cl {
    margin-left: 1px;
    margin-right: 1px;
    margin-top: 0.5rem;
    margin-bottom: 0.5rem;
}

.dt-trp-cl {
    /*margin-left: 2rem;
    margin-right: 2rem;*/
    /*margin-top: 0.5rem;*/
    margin-bottom: 0.5rem;
    font-size: 10px;
}

.dt-cb-cl {
    padding-top: 1.25rem;
    padding-right: 1.25rem;
    padding-bottom: 1.25rem;
    padding-left: 1.25rem;
}

.dt-cb-fr-cl {
    padding-top: 0px;
    padding-right: 0px;
    padding-bottom: 0px;
    padding-left: 0px;
}


.dt-cd-fr-cl {
    padding-bottom: 0px;
}

.dt-trp-sec-cl {
    margin-left: 2rem;
    margin-right: 2rem;
}

.dt-btn-cl {
    padding: 4px;
}

.dt-icon-cl {
    color: #000000;
    font-size: 10px;
    visibility: visible;
}

.dt-icon-sm-cl {
    color: #000000;
    visibility: visible;
}

.dt-icon-hd-cl {
    color: #000000;
    font-size: 2em;
    visibility: hidden;
    font-size: 0rem;
}

.dt-order-cl {
    visibility: visible;
}

.dt-order-hd-cl {
    visibility: hidden;
}

.dt-tl-cl {
    /*color: #33353f;*/
    color: #006583;
    font-size: 12px;
    /*font-weight: 500;*/
    font-weight: bold;
    line-height: 20px;
    padding: 0;
    text-transform: none;
}

.dt-tl-sec-cl {
    color: #33353f;
    font-size: 14px;
    font-weight: bold;
}

.dt-ch-cl {
    border-bottom-color: #e5e9f2;
    line-height: 30px;
    align-self: center;
    width: 100%;
    padding: 0px 4px;
    display: flex;
    align-items: center;
    /*padding: 1rem 1.25rem;*/
    /*border-bottom: none*/
}

.dt-hl-cl:hover {
    text-decoration: underline;
    color: black;
    cursor: pointer;
    font-weight: bold;
}

@media (max-width: 400px) {
    .card-body {
        padding: 0.4rem;
    }

    .panel-title {
        font-size: 13px;
        line-height: 18px;
    }
}

.dt-inp-cl {
    width: 100%;
    /* margin-left: 2px; */
    /* margin-right: 2px; */
    border: 1px solid #d1d1d6;
    border-radius: 3px;
    /* box-sizing: border-box; */
    /* color: #191919; */
    /* display: block; */
    font-size: 9px;
    /* line-height: 20px; */
    /* padding: 8px 2px; */
    /* vertical-align: middle; */
    height: 24px;
    font-size: 12px;
    padding: 1px;
}

.dt-sm-cl {
    border: 1px solid #00bac7 !important;
    border-radius: 5px !important;
    font-size: 9px !important;
    color: #fff !important;
    font-weight: bold !important;
    background-color: #00bac7 !important;
    background-image: unset !important;
}

.dt-col-cl {
    border: 1px solid #e9ecef !important;
    border-radius: 5px !important;
    font-size: 9px !important;
    background-color: #e9ecef !important;
    background-image: unset !important;
    color: #4F4F4F !important;
}

.dt-col-tog-cl {
    border: 1px solid #04a929 !important;
    color: #fff !important;
    background-color: #28a745 !important;
}

.dt-skip-cl {
    background-image: unset !important;
    padding-top: 10px;
    border: unset !important;
    line-height: 1.2em !important;
}

    .dt-skip-cl > span > input {
        border: 1px solid #fff;
        border-radius: 4px;
        width: 22px;
        text-align: center;
    }

.dt-el-lab-cl {
    padding-top: 0px;
    padding-bottom: 0px;
    font-weight: 500;
    /*color: #001e00;*/
    font-size: 12px;
    padding-left: 2px;
    padding-right: 2px;
    /*margin: auto;*/
}

.dt-el-sli-cl {
    height: 10px;
    width: 23px;
}

.dt-header-cl {
    margin-left: 18px;
}

.page-link {
    font-size:12px;
}

/*---------------------------------dashboard------------*/
.dash-grid-cl {
    margin-left: 0px;
    margin-right: 0px;
    padding-right: 3px;
    padding-left: 3px;
}

.dash-title-cl {
    margin-bottom: 8px;
    font-size: 12px;
    color: grey;
}

.dash-number-cl {
    margin-bottom: 2px;
    font-size: 17px;
    color: #00bac7;
    font-weight: bold;
    margin-left: 6px;
}

.dash-percent-cl {
    margin-bottom: 2px;
    background-color: #aae1cb;
    font-size: 12px;
    color: #21913a;
    border-radius: 4px;
}

.dash-text-cl {
    font-size: 12px;
    color: #313533b8;
    margin-left: 5px;
}

.dash-ct-cl {
   /* border: 1px solid #d1d1d6;
    border-radius: 6px;
    min-height: 110px;
    margin-bottom: 8px;*/
}

.dash-ploty-cl {
    /*padding-left:32px;*/
    /*padding-right:32px;*/
    margin-right: auto;
    margin-left: auto;
}

/*------------chartjs-----------*/
.chart-tl-cl {
    font-size: 12px;
    font-weight: bold;
    color: #646264;
}

.chart-area {
    margin: 8px 8px;
}

.table-area {
    margin: 0.9rem 0.9rem;
    margin-left: auto;
    margin-right: auto;
    background-color: white;
    padding: 9px;
    border-radius: 0.35rem;
}

/*------------learn-----------*/
@media screen and (min-width: 1088px) {
    .left-col {
        height: 600px;
    }
}

/*------------canevas-----------*/
@media (max-width: 991.98px) {
    .unities-canvas {
        position: fixed;
        top: 0;
        right: -100%;
        width: 100%;
        height: 668px;
        background-color: #f8f9fa;
        transition: right 0.3s ease-in-out;
    }

    .unities-canvas.open {
        right: 0;
        width: 100%;
        overflow: scroll;
    }
}

@media (min-width: 991.99px) {
    .unities-canvas {
        position: fixed;
        top: 0;
        right: -250px;
        width: 250px;
        height: 668px;
        background-color: #f8f9fa;
        transition: right 0.3s ease-in-out;
    }

        .unities-canvas.open {
            right: 0;
            width: 500px;
            overflow: scroll;
        }
}
